Skip to main content
POST
/
v1
/
chunked-files
Create Chunked File
curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/chunked-files \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "size": 1
}
'
{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "name": "<string>",
  "size": 123,
  "chunkedFileParts": [
    {
      "offset": 123,
      "size": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required

The name of the chunked file.

Minimum string length: 1
size
integer<int64>
required

The size of the chunked file.

Required range: x >= 0

Response

201 - application/json

Created

id
string

The unique object identifier.

version
integer<int64>

Indicates the data integrity version to ensure data consistency.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object
read-only

Details about the user who created the object.

lastModifiedUserInfo
User Info · object
read-only

Details about the user who last modified or updated the object.

name
string

The name of the chunked file.

size
integer<int64>

The size of the chunked file.

chunkedFileParts
Chunked File Part · object[]

The offset and size of the chunked file parts.